%define realname	xmlrpc
%define libname		lib%{realname}
%define major		0
%define libnamemajor	%{libname}%{major}
%define version		0.51
%define release		6mdk

Summary:	Library providing XMLPC support in C
Name:		%{libnamemajor}
Version:	%{version}
Release:	%{release}
License:	BSD
Group: 		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://xmlrpc-epi.sourceforge.net/
Source0:	xmlrpc-epi-%{version}.tar.bz2
Patch0:		xmlrpc-epi-0.51-64bit-fixes.patch.bz2
Provides:	%{libname} = %{version}

%description
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an 
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.
 
%package devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Requires: %{libnamemajor} = %{version}
Provides: %{libname}-devel = %{version}

%description devel
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.

%prep
%setup -q -n xmlrpc-epi-%{version}
%patch0 -p1 -b .64bit-fixes

# Make it lib64 aware
find . -name Makefile.in | xargs perl -pi -e "s,-L\@prefix\@/lib,,g"
perl -pi -e "s,-L/usr/local/lib\b,," configure

%build
%configure2_5x

#cp %{_datadir}/automake-1.6/depcomp .

#don't use parallel compilation, it is broken 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_bindir}/{client,hello_{client,server},memtest,sample,server{,_compliance_test}}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc INSTALL
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a

%changelog
* Fri Aug 13 2004 Pixel <pixel@mandrakesoft.com> 0.51-6mdk
- rebuild

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.51-5mdk
- rebuild

* Sun Dec  8 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.51-4mdk
- Usual and famous JC-lib64
- Patch0: assorted fixes, mostly for 64-bit architectures

* Mon Oct 28 2002 Pixel <pixel@mandrakesoft.com> 0.51-3mdk
- remove the sample binaries from libxmlrpc0-devel, also remove the conflict
with memtester (not needed anymore)
- remove BuildRequires on automake1.6 (not needed, we don't need to call
automake since we don't apply any patches), remove copying "depcomp"
- rename spec file name to %%{name}.spec

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.51-2mdk
- fix conflict with memtester.

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.51-1mdk
- new version 0.51.

* Wed May 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.50-2mdk
- BuildRequires on automake1.6

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.50-1mdk
- initial mandrake release.

